Package Details: screengrab-git 1.95_pr1.19.g4650e76-1

Git Clone URL: https://aur.archlinux.org/screengrab-git.git (read-only)
Package Base: screengrab-git
Description: Crossplatform tool for grabbing screenshots of your desktop.
Upstream URL: http://screengrab.doomer.org/
Licenses: GPL2
Conflicts: screengrab
Provides: screengrab
Submitter: jleclanche
Maintainer: jleclanche
Last Packager: jleclanche
Votes: 6
Popularity: 0.000002
First Submitted: 2013-08-16 01:14
Last Updated: 2015-06-09 21:51

Latest Comments

notuxius commented on 2017-07-07 07:38

error upon build:
'''
CMake Error at CMakeLists.txt:111 (find_package):
By not providing "FindQt5Xdg.cmake" in CMAKE_MODULE_PATH this project has
asked CMake to find a package configuration file provided by "Qt5Xdg", but
CMake did not find one.

Could not find a package configuration file provided by "Qt5Xdg" with any
of the following names:

Qt5XdgConfig.cmake
qt5xdg-config.cmake

Add the installation prefix of "Qt5Xdg" to CMAKE_PREFIX_PATH or set
"Qt5Xdg_DIR" to a directory containing one of the above files. If "Qt5Xdg"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
'''

esclapion commented on 2015-08-11 09:34

Really good tool, who can replace the tool of lximage-qt ?

xduugu commented on 2015-06-17 21:05

I had to install two additional packages to get it build:

extra/kwindowsystem
community/libqtxdg

According to namcap, they are runtime dependencies:

$ namcap screengrab-git-1.95_pr1.19.g4650e76-1-x86_64.pkg.tar.gz
screengrab-git E: Files in /usr/share/icons/hicolor but no call to gtk-update-icon-cache or xdg-icon-resource to update the icon cache
screengrab-git W: Referenced library 'libuploader.so.1.0.0' is an uninstalled dependency
screengrab-git W: Referenced library 'libextedit.so.1.0.0' is an uninstalled dependency
screengrab-git E: Dependency hicolor-icon-theme detected and not included (needed for hicolor theme hierarchy)
screengrab-git E: Dependency kwindowsystem detected and not included (libraries ['usr/lib/libKF5WindowSystem.so.5'] needed in files ['usr/bin/screengrab'])
screengrab-git E: Dependency libqtxdg detected and not included (libraries ['usr/lib/libQt5Xdg.so.1'] needed in files ['usr/lib/screengrab/libextedit.so.1.0.0'])

flamusdiu commented on 2015-02-27 00:57

Need to add "qt5-tools" to the make depends. This doesn't build otherwise.

pmattern commented on 2015-01-22 21:31

Package fails to install as it's treating /usr/lib64 as directory. Same problem and hence solution (-DCMAKE_INSTALL_LIBDIR=lib) as seen with e. g. liblxqt-git recently.
Also, it lacks metadata file .SRCINFO.

Aside from this I was wondering whether it wouldn't make sense to use github.com/QtDesktop/screengrab as upstream source. Package builds fine using this repo, too.

pmattern commented on 2015-01-22 21:20

Package fails to install as it's treating /usr/lib64 as directory. Same problem and hence solution (-DCMAKE_INSTALL_LIBDIR=lib) as seen with e. g. liblxqt-git recently.

Also, I was wondering whether it wouldn't make sense to use github.com/QtDesktop/screengrab as upstream source. Package builds find using this repo, too.